package com.bsb.incubator.vaadin.addressbook.ui.internal;

/**
 * Holds the search criteria selected by the user.
 *
 * @author Stephane Nicoll
 */
public class SearchFilter {

    private final String term;
    private final Object propertyId;
    private String searchName;

    public SearchFilter(Object propertyId, String searchTerm, String name) {
        this.propertyId = propertyId;
        this.term = searchTerm;
        this.searchName = name;
    }

    public String getTerm() {
        return term;
    }

    public Object getPropertyId() {
        return propertyId;
    }

    public String getSearchName() {
        return searchName;
    }

    @Override
    public String toString() {
        return getSearchName();
    }
}
